Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.utah.janosvm.io
Class StdinInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--edu.utah.janosvm.io.StdinInputStream

public class StdinInputStream
extends java.io.InputStream

Input stream for a team's standard in.

XXX rename to StdInputStream.

Author:
  Tim Stack, Utah Janos Team

Constructor Summary
`StdinInputStream()`

Method Summary
`int` | `read()` XXX stupid wrapper for the private and native readInt function.
`int` | `read(byte[] b, int off, int len)` Native function that does a block read from stdin as setup for the current team.
`java.lang.String` | `toString()`

Methods inherited from class java.io.InputStream
`available, close, mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### StdinInputStream

    public StdinInputStream()

Method Detail

### read

    public int read()

  XXX stupid wrapper for the private and native readInt function.
  Overrides:
    read in class java.io.InputStream
  Returns:
    The byte read or -1 if the end of file was reached.

### read

    public int read(byte[] b,
                    int off,
                    int len)

  Native function that does a block read from stdin as setup for the current team.
  Overrides:
    read in class java.io.InputStream
  Parameters:
    `b` - The buffer to read into.
    `off` - The offset into `b' to start writing data.
    `len` - The length of data to read.
  Returns:
    The number of bytes actually read.

### toString

    public java.lang.String toString()

  Overrides:
    toString in class java.lang.Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JanosVM v0.6.0 Java API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This documentation is Copyright (C) 2000-2002 The University of Utah. All Rights Reserved. See the documentation license for distribution terms and restrictions.
Documentation, software, and mailing lists for the JanosVM can be found at the Janos Project web page: http://www.cs.utah.edu/flux/janos/
Generated on Mar 17, 2002